orderstation/urls.py
from django.contrib import admin
from django.urls import path, include
from . import views
# from .views import GeneratePdf

app_name = 'orderstations'

urlpatterns = [
    path('', views.orderstation_view, name='orderstation'),

    # DINE
    path('dine/', views.orderdine_view, name='orderdine'),
    path('dine/<int:tableNo>/<int:waiterID>/', views.viewdine_view, name='viewdine'),
    path('adddineorder/', views.adddineorder_view, name='adddineorder'),
    path('savedineorder/', views.savedineorder_view, name='savedineorder'),
    path('canceldineorder/', views.canceldineorder_view, name='canceldineorder'),

    # TAKEOUT
    path('takeout/<int:waiterID>/', views.ordertakeout_view, name='ordertakeout'),
    path('addordertakeout/', views.addordertakeout_view, name='addordertakeout'),

    path('checkwaiter/', views.checkwaiter_view, name='checkwaiter'),
    path('checkwaitertakeout/', views.checkwaitertakeout_view, name='checkwaitertakeout'),
    path('printorders/<int:tableNo>/<int:waiterID>/', views.printorders_view, name='printorders'),

]

posrestaurant/urls.py
from django.contrib import admin
from django.urls import include, path
from django.contrib.staticfiles.urls import staticfiles_urlpatterns

urlpatterns = [
    path('admin/', admin.site.urls),
    path('', include('web.urls')),
    path('accounts/', include('accounts.urls')),
    path('restaurants/', include('restaurants.urls')),
    path('orderstations/', include('orderstation.urls')),
]

urlpatterns +=staticfiles_urlpatterns()

restaurants/urls.py
from django.contrib import admin
from django.urls import path, include
from . import views
from .views import SalesChartData
# from .views import GeneratePdf

app_name = 'restaurants'

urlpatterns = [
    path('', views.home_view, name='home'),
    # path('pdf/', GeneratePdf.as_view()),
    path('takeout/', views.takeout_view, name='takeout'),
    path('cashin/', views.cashin_view, name='cashin'),
    path('dine/', views.dines_view, name='dines'),
    path('dine/<int:tableNo>/', views.dine_view, name='dine'),
    path('addfoodmenu/', views.addfoodmenu_view, name='addfoodmenu'),
    path('editfoodmenu/', views.editfoodmenu_view, name='editfoodmenu'),
    path('savefoodmenu/', views.savefoodmenu_view, name='savefoodmenu'),
    path('cancelfoodmenu/', views.cancelfoodmenu_view, name='cancelfoodmenu'),

    path('takeoutfoodmenu/', views.takeoutfoodmenu_view, name='takeoutfoodmenu'),
    path('edittakeoutfoodmenu/', views.edittakeoutfoodmenu_view, name='edittakeoutfoodmenu'),
    path('canceltakeoutfoodmenu/', views.canceltakeoutfoodmenu_view, name='canceltakeoutfoodmenu'),
    path('paytakeoutfoodmenu/', views.paytakeoutfoodmenu_view, name='paytakeoutfoodmenu'),
    path('billing/<int:tableNo>/', views.billing_view, name='billing'),
    path('payment/', views.payment_view, name='payment'),
    path('addbillfoodmenu/', views.addbillfoodmenu_view, name='addbillfoodmenu'),
    path('editbillfoodmenu/', views.editbillfoodmenu_view, name='editbillfoodmenu'),
    path('cancelbillfoodmenu/', views.cancelbillfoodmenu_view, name='cancelbillfoodmenu'),
    path('sales/', views.sales_view, name='sales'),

    # Tables Section
    path('tablelist/', views.tablelist_view, name='tablelist'),
    path('addtable/', views.addtable_view, name='addtable'),
    path('edittable/', views.edittable_view, name='edittable'),
    path('deletetable/', views.deletetable_view, name='deletetable'),

    # Food Menu Section
    path('foodmenulist/', views.foodmenulist_view, name='foodmenulist'),
    path('addfoodmenulist/', views.addfoodmenulist_view, name='addfoodmenulist'),
    path('editfoodmenulist/', views.editfoodmenulist_view, name='editfoodmenulist'),
    path('deletefoodmenulist/', views.deletefoodmenulist_view, name='deletefoodmenulist'),

    # Food Category Section
    path('foodcategorylist/', views.foodcategorylist_view, name='foodcategorylist'),
    path('addfoodcategorylist/', views.addfoodcategorylist_view, name='addfoodcategorylist'),
    path('editfoodcategorylist/', views.editfoodcategorylist_view, name='editfoodcategorylist'),
    path('deletefoodcategorylist/', views.deletefoodcategorylist_view, name='deletefoodcategorylist'),

    # Close Transaction
    path('closetransaction/', views.closetransaction_view, name='closetransaction'),
    path('addcashremit/', views.addcashremit_view, name='addcashremit'),
    path('closed/', views.closed_view, name='closed'),

    # VOID 
    path('void/', views.void_view, name='void'),
    path('voidmenu/', views.voidmenu_view, name='voidmenu'),

    # TRANSACTION VOID
    path('transvoidfoodmenu/', views.transvoidfoodmenu_view, name='transvoidfoodmenu'),
    path('takeouttransvoidfoodmenu/', views.takeouttransvoidfoodmenu_view, name='takeouttransvoidfoodmenu'),

    # PAYMENT
    path('addamounttendered/', views.addamounttendered_view, name='addamounttendered'),

    # POS Settings
    path('possettings/', views.possettings_view, name='possettings'),
    path('editpossettings/', views.editpossettings_view, name='editpossettings'),

    # GENERATE RECEIPT
    path('pdf/', views.generatePdf, name='pdf'),
    path('bill/', views.generateBill, name='bill'),
    path('generatereceipt/', views.generateReceipt, name='generatereceipt'),
    path('generatebill/', views.generate_bill, name='generatebill'),
    path('downloaddine/<int:tableNo>/<int:refNo>/', views.downloaddine_view, name='downloaddine'),
    path('printdine/', views.printdine_view, name='printdine'),
    path('printtakeout/', views.printtakeout_view, name='printtakeout'),

    # REPORTS
    path('reports/', views.reports_view, name='reports'),
    path('api/saleschartdata/data/', SalesChartData.as_view()),

    # TRANSFER TABLE
    path('transfertable/', views.transfertable_view, name='transfertable'),

    
    path('sample/', views.sample_view, name='sample'),

]

web/urls.py
from django.contrib import admin
from django.urls import path
from . import views
from django.views.generic import TemplateView

# app_name='web'
urlpatterns = [
    path('', TemplateView.as_view(template_name='dashboard.html'), name='home'),
    # path('about', views.about, name='about'),
    # path('contact', views.contact, name='contact'),
    # path('properties', views.properties, name='properties'),
    # path('property/detail/<int:property_id>', views.property_detail, name='detail'),
    # path('search', views.search, name='search'),
]

orderstation/models.py
from django.db import models

# Create your models here.

orderstation/views.py
from django.shortcuts import render, redirect
from django.contrib.auth import logout
from django.http import HttpResponseRedirect, Http404, HttpResponse
from core.models import *
from . import views
import datetime
from django.db.models import Sum, Avg
from django.core.paginator import Paginator, EmptyPage, PageNotAnInteger
from django.contrib import messages
from django.utils import timezone
from .utils import render_to_pdf
from django.template.loader import get_template

from django.contrib.auth.decorators import login_required

import os, time

# Create your views here.
# function based view
# ORDERSTATION Section====================================================================================
def orderstation_view(request):
    # try:
    #     checks = SalesTransactionSummary.objects.filter(userID=request.user.id, isVat=1).count()
    # except SalesTransactionSummary.DoesNotExist:
    #     checks = None
    #     raise Http404("No MyModel matches the given query.")
    getlast = TempRestaurantOrderDetail.objects.last()
    print(getlast)
    tables = RestaurantTable.objects.all()
    template='orderstation_dine.html'
    context = {'tables':tables,'getlast':getlast}
    return render(request, template, context)
    # , 'successful_submit': True
# END ORDERSTATION Section=================================================================================


# ORDERSTATION DINE Section================================================================================
def orderdine_view(request):
    # try:
    #     checks = SalesTransactionSummary.objects.filter(userID=request.user.id, isVat=1).count()
    # except SalesTransactionSummary.DoesNotExist:
    #     checks = None
    #     raise Http404("No MyModel matches the given query.")
    tables = RestaurantTable.objects.all()
    template='orderstation_dine.html'
    context = {'tables':tables}
    return render(request, template, context)

def viewdine_view(request, tableNo, waiterID):
    
    getlast = TempRestaurantOrderDetail.objects.last()
    print(getlast)

    tables = RestaurantTable.objects.get(tableNo=tableNo)
    print(tables)

    waiters = Waiter.objects.get(waiterCode=waiterID)
    print(waiters)

    # Fetch all FoodMenu
    menus = FoodMenu.objects.filter(isVat=True)

    # Fetch all FoodCategory
    categories = FoodCategory.objects.filter(isVat=True)

    #Fetch all RestaurantOrderSummary that isVal=True
    countOrderSummaries = RestaurantOrderSummary.objects.count()
    print(countOrderSummaries)

    #Fetch all TempRestaurantOrderSummary that isVal=True
    countTempOrderSummaries = TempRestaurantOrderSummary.objects.count()
    totalTempOrderSummaries = countTempOrderSummaries + 1000

    getOrderDetailsLists = TempRestaurantOrderDetail.objects.filter(referenceNo=totalTempOrderSummaries, tableNo=tables, isVat=True)

    tempOrderDetails = TempRestaurantOrderDetail.objects.filter(referenceNo=totalTempOrderSummaries, tableNo=tables, isVat=True)
    page = request.GET.get('page', 1)

    paginator = Paginator(tempOrderDetails, 10)
    try:
        tempOrderDetailpages = paginator.page(page)
    except PageNotAnInteger:
        tempOrderDetailpages = paginator.page(1)
    except EmptyPage:
        tempOrderDetailpages = paginator.page(paginator.num_pages)
        

    template='ordertable.html'
    context = {'categories':categories,'tables': tables,'waiters': waiters,'tempOrderDetailpages': tempOrderDetailpages,'menus': menus,'totalTempOrderSummaries': totalTempOrderSummaries,'getOrderDetailsLists': getOrderDetailsLists,'getlast':getlast}
    return render(request, template, context)

def adddineorder_view(request):
    if request.method == 'POST':
        refNo           = request.POST.get("refNo") 
        prodcode        = request.POST.get("prodCode") 
        foodDesc        = request.POST.get("foodDesc")  
        foodSellPrice   = request.POST.get("foodSellPrice")  
        tableno         = request.POST.get("tableNo")  
        waiterName         = request.POST.get("waiterName")  
        waiterCode         = request.POST.get("waiterCode")  

        # getqty = float(foodSellPrice) *
        taxrate = 0.12
        subtotal = float(foodSellPrice) / 1.12
        totaltax = subtotal * taxrate

        try:
            getexists = TempRestaurantOrderDetail.objects.filter(referenceNo=refNo, productCode=prodcode, tableNo=tableno, isVat=True, isCancelled=False)
        except TempRestaurantOrderDetail.DoesNotExist:
            getexists = None
            raise Http404("No MyModel matches the given query.")
        print(getexists)
        if not getexists:
            print('wal walawalalala')
            saveTempRestaurantOrderDetail = TempRestaurantOrderDetail(
                referenceNo=refNo,
                productCode=prodcode,
                branchCode=888,
                description=foodDesc,
                sellingPrice=foodSellPrice,
                qtySold=1,
                unitMeasure='kg',
                taxRate=taxrate,
                taxTotal=totaltax,
                subTotal=subtotal,
                processedBy=waiterName,
                totalAmount=foodSellPrice,
                status='Pending',
                tableNo=tableno
            )
            saveTempRestaurantOrderDetail.save()
        if getexists:
            for getexist in getexists:
                print('naaaaaaaaaaaa')
                print(getexist)
                getqty = float(getexist.qtySold) + 1
                gettotal = float(getexist.sellingPrice) * getqty
                updatesubtotal = float(gettotal) / 1.12
                updatetotaltax = updatesubtotal * taxrate

                TempRestaurantOrderDetail.objects.filter(referenceNo=refNo, productCode=prodcode, tableNo=tableno, isVat=True, isCancelled=False).update(qtySold=getqty, totalAmount=gettotal, taxTotal=updatetotaltax, subTotal=updatesubtotal)
    
    return HttpResponseRedirect('/orderstations/dine/'+tableno+'/'+waiterCode)

def savedineorder_view(request):
    if request.method == 'POST':
        refno           = request.POST.get("refNo")  
        tableno         = request.POST.get("tableNo")  
        waiterName         = request.POST.get("waiterName")  
        waiterCode         = request.POST.get("waiterCode")  
        print(refno)
        print(tableno)
        print(waiterName)
        print(waiterCode)
        # getOrderDetailsinfos = TempRestaurantOrderDetail.objects.filter(referenceNo=refno, tableNo=tableno, isVat=True)[:1].get()
        # print(getOrderDetailsinfos.referenceNo)try:
        try:
            getOrderDetailExists = TempRestaurantOrderDetail.objects.filter(referenceNo=refno, tableNo=tableno, isVat=True)
        except TempRestaurantOrderDetail.DoesNotExist:
            getOrderDetailExists = None
            raise Http404("No MyModel matches the given query.")

        print(getOrderDetailExists)

        if not getOrderDetailExists:
            messages.warning(request, 'Make sure the Order List Table is not Empty to proceed this Order.')
            return HttpResponseRedirect('/orderstations/dine/'+tableno+'/'+waiterCode)
        else:
            getOrderSummaryinfos =  TempRestaurantOrderSummary.objects.filter(referenceNo=refno, tableNo=tableno, isVat=True)

            if getOrderSummaryinfos.exists():
                return HttpResponseRedirect('/orderstations/dine/'+tableno+'/'+waiterCode)
            else:
                # For totalItem
                gettotalItem = TempRestaurantOrderDetail.objects.filter(referenceNo=refno, tableNo=tableno, isVat=True).aggregate(sum=Sum('qtySold'))['sum']
                print(gettotalItem)

                # For totalSellingPrice
                gettotalSellingPrice = TempRestaurantOrderDetail.objects.filter(referenceNo=refno, tableNo=tableno, isVat=True).aggregate(sum=Sum('totalAmount'))['sum']
                print(gettotalSellingPrice)

                # For totalTax
                if not gettotalSellingPrice:
                    gettotalSellingPrice = 0
                totalVATsale = float(gettotalSellingPrice) / 1.12
                totalVAT = totalVATsale * 0.12
                print(totalVAT)

                # For totalQty
                gettotalQty = TempRestaurantOrderDetail.objects.filter(referenceNo=refno, tableNo=tableno, isVat=True).aggregate(sum=Sum('qtySold'))['sum']
                print(gettotalQty)

                # For totalSubTotal
                gettotalSubTotal = float(gettotalSellingPrice) - float(totalVAT)
                print(gettotalSubTotal)

                # For totalAmount
                print(gettotalSellingPrice)

                # For totalVATSale
                print(totalVATsale)

                # For status
                print('Pending')

                # For tableNo
                print(tableno)

                # For orderType
                print('DINE-IN')

                saveTempRestaurantOrderSummary = TempRestaurantOrderSummary(
                            referenceNo=refno,
                            totalItem=gettotalItem,
                            totalSellingPrice=gettotalSellingPrice,
                            totalTax=totalVAT,
                            totalQty=gettotalQty,
                            subTotal=gettotalSubTotal,
                            totalAmount=gettotalSellingPrice,
                            totalVATSale=totalVATsale,
                            preparedBy=waiterName,
                            status='Pending',
                            tableNo=tableno,
                            orderType='DINE-IN'
                        )
                saveTempRestaurantOrderSummary.save()
                RestaurantTable.objects.filter(tableNo=tableno, isVat=False).update(tableStatus='Occupied', isVat=True)
    # return redirect('orderstations:orderstation')
    return HttpResponseRedirect('/orderstations/printorders/'+tableno+'/'+waiterCode)

def canceldineorder_view(request):

orderstation/templates/orderstation.html
{% extends 'orderstation_base.html'%}
{% load static from staticfiles %}

{% block content %}
<div class="content-wrapper">
    <div class="container-fluid">
        <section class="content-header text-center no-margin">
            <h1 class="no-margin"><strong>ORDER STATION</strong></h1>
            <!-- <a href="{% url 'restaurants:sample' %}" type="button" class="btn btn-warning btn-lg btn-block margin-bottom">sample</a> -->
        </section>
        <section class="content">
            <div class="row">
                <div id='calc-contain'>
            
                    <form name="calculator">
                    
                        <input type="text" name="answer" />
                        <br>
                        
                        <input type="button" value=" 1 " onclick="calculator.answer.value += '1'" />
                        <input type="button" value=" 2 " onclick="calculator.answer.value += '2'" />
                        <input type="button" value=" 3 " onclick="calculator.answer.value += '3'" />
                        <br/>
                        
                        <input type="button" value=" 4 " onclick="calculator.answer.value += '4'" />
                        <input type="button" value=" 5 " onclick="calculator.answer.value += '5'" />
                        <input type="button" value=" 6 " onclick="calculator.answer.value += '6'" />
                        </br>
                    
                        <input type="button" value=" 7 " onclick="calculator.answer.value += '7'" />
                        <input type="button" value=" 8 " onclick="calculator.answer.value += '8'" />
                        <input type="button" value=" 9 " onclick="calculator.answer.value += '9'" />
                        </br>
                    
                        <input type="button" value=" c " onclick="calculator.answer.value = ''" />
                        <input type="button" value=" 0 " onclick="calculator.answer.value += '0'" />
                        </br>
            
            
                    </form>
                    <div id="agh">
                        <p>Adrian Gheorghe Calc
                    </div>
                </div>
            </div>
        </section>
    </div>
</div>
{% endblock %}

orderstation/templates/orderstation_takeout.html
{% extends 'orderstation_base.html'%}
{% load static from staticfiles %}

{% block content %}
<div class="content-wrapper">
    <div class="container-fluid">
        <!-- {% if messages %}
            {% for message in messages %}
                <div class="alert alert-{{ message.tags }} alert-dismissible no-margin" role="alert">
                    <button type="button" class="close" data-dismiss="alert" aria-hidden="true">×</button>
                    <h4>{{ message }}</h4>
                </div>
            {% endfor %}
        {% endif %}
        <section class="content-header text-center no-margin">
            <h1 class="no-margin"><strong>TAKEOUT</strong></h1>
        </section> -->

        <section class="content">
            <div class="row">
                <div class="col-lg-3">
                    <div class="col-md-6">
                        <h3>
                            <strong>Order #:</strong>
                            <strong class="text-danger">{{ totalOrderSummaries }}</strong>
                        </h3>
                    </div>
                    <div class="col-md-6">
                        <h3>
                            <strong>Trans ID:</strong>
                            <strong class="text-success"> {{ getSalesTransactionSummary }}</strong>
                        </h3>
                    </div>
                </div>
                <div class="col-lg-2">
                    <div class="col-md-6">
                        <h3><strong>TAKEOUT </strong></h3>
                    </div>
                </div>
                <div class="col-lg-7">
                    <div class="col-md-3 pull-right">
                        <!-- <form class="site-form" action="{% url 'orderstations:canceldineorder' %}" method="post">
                            {% csrf_token %}
                            <input type="hidden" name="waiterCode" value="{{waiters.waiterCode}}">
                            <input type="hidden" name="waiterName" value="{{waiters.waiterName}}">
                            <input type="hidden" name="tableNo" value="{{tables}}">
                            <input type="hidden" name="refNo" value="{{ totalTempOrderSummaries }}">
                            <button type="submit" class="btn btn-danger btn-lg btn-block">CANCEL</button>
                        </form> -->
                        <a href="#modal-cancelorder" class="btn btn-danger btn-lg btn-block" data-toggle="modal">CANCEL</a>
                    </div>
                    <div class="col-md-3 pull-right">
                        <form class="site-form" action="{% url 'orderstations:savedineorder' %}" method="post">
                            {% csrf_token %}
                            <input type="hidden" name="waiterCode" value="{{waiters.waiterCode}}">
                            <input type="hidden" name="waiterName" value="{{waiters.waiterName}}">
                            <input type="hidden" name="tableNo" value="{{tables}}">
                            <input type="hidden" name="refNo" value="{{ totalTempOrderSummaries }}">
                            <button type="submit" class="save btn btn-success btn-lg btn-block">SAVE</button>
                        </form>
                    </div>
                    <div class="col-md-3 pull-right">
                        {% static "" as baseUrl %}
                        <iframe 
                            src="{{ baseUrl }}Orders/Order_{{getlast}}.pdf" id="myFrame1" style="display:none">
                        </iframe>
                        <button type="button" onclick="print1()" class="btn btn-primary btn-lg btn-block">PRINT ORDERS</button>
                    </div>
                    <div class="col-md-3 pull-right">
                        <a href="{% url 'orderstations:orderstation' %}" class="btn btn-warning btn-lg btn-block">BACK</a>
                    </div>
                </div>
            </div>
            <div class="row">
                <!-- <div class="col-lg-2">
                    <div class="box box-success" style="height: 700px;">
                        <div class="box-header with-border">
                            <h3 class="box-title">Actions</h3>
                        </div> -->
                        <!-- /.box-header -->
                        <!-- <div class="box-body">
                            <div class="col-lg-12">
                                <a href="#modal-payment" class="payment btn btn-success btn-lg btn-block margin-bottom" data-toggle="modal"data-name="{{ getSalesTransactionSummary }}" data-id="{{ totalOrderSummaries }}">PAYMENT</a>
                            </div>
                            <div class="col-sm-12">
                                <a href="{% url 'restaurants:void' %}" type="button" class="btn btn-warning btn-lg btn-block margin-bottom">VOID</a>
                            </div>
                            <div class="col-sm-12">
                                <form class="site-form" action="{% url 'restaurants:takeouttransvoidfoodmenu' %}" method="post">
                                    {% csrf_token %}
                                    <input type="hidden" name="refNo" value="{{ totalOrderSummaries }}">
                                    <input type="hidden" name="transCode" value="{{ getSalesTransactionSummary }}">
                                    <button type="submit" class="btn btn-danger btn-lg btn-block margin-bottom">TRANSACTION VOID</button>
                                </form>
                            </div>
                        </div>
                    </div>
                </div> -->
                <div class="col-lg-3">
                    <div class="box box-success" style="height: 680px;">
                        <div class="box-header with-border">
                            <h3 class="box-title">Orders</h3>
                        </div>
                        <!-- /.box-header -->
                        <div class="box-body">
                            <table class="table table-bordered">
                                <thead>
                                    <tr>
                                        <th style="width: 200px">Particulars</th>
                                        <th style="width: 80px">Qty</th>
                                    </tr>
                                </thead>
                                <tbody>
                                    {% if tempOrderDetailpages %}
                                        {% for tempOrderDetailpage in tempOrderDetailpages %}
                                            <tr>
                                                <td>{{ tempOrderDetailpage.description }}</td>
                                                <td>{{ tempOrderDetailpage.qtySold | floatformat }}</td>
                                            </tr>
                                        {% endfor %}
                                    {% else %}
                                        <tr>
                                            <td>no orders</td>
                                            <td>no orders</td>
                                        </tr>
                                    {% endif %}
                                </tbody>
                            </table>
                        </div>
                        <!-- /.box-body -->
                        
                        <div class="box-footer clearfix">
                            {% if tempOrderDetailpages.has_other_pages %}
                                <ul class="pagination pagination-sm no-margin pull-right">
                                    {% if tempOrderDetailpages.has_previous %}
                                        <li><a href="?page={{ tempOrderDetailpages.previous_page_number }}">&laquo;</a></li>
                                    {% else %}
                                        <li class="disabled"><span>&laquo;</span></li>
                                    {% endif %}
                                    {% for i in tempOrderDetailpages.paginator.page_range %}
                                        {% if tempOrderDetailpages.number == i %}
                                            <li class="active"><span>{{ i }} <span class="sr-only">(current)</span></span></li>
                                        {% else %}
                                            <li><a href="?page={{ i }}">{{ i }}</a></li>
                                        {% endif %}
                                    {% endfor %}
                                    {% if tempOrderDetailpages.has_next %}
                                        <li><a href="?page={{ tempOrderDetailpages.next_page_number }}">&raquo;</a></li>
                                    {% else %}
                                        <li class="disabled"><span>&raquo;</span></li>
                                    {% endif %}
                                </ul>
                            {% endif %}
                        </div>
                    </div>
                    <div class="col-lg-12">
                        <form class="site-form" action="{% url 'restaurants:pdf' %}" method="post" target="_blank">
                            {% csrf_token %}
                            <input type="hidden" name="orderNo" value="{{totalOrderSummaries}}">
                            <input type="hidden" name="transID" value="{{ getSalesTransactionSummary }}">
                            <!-- <button type="submit" class="btn btn-primary btn-lg btn-block margin-bottom">GENERATE BILL</button> -->
                        </form>
                    </div>
                </div>
                <div class="col-lg-9">
                    <div class="box box-success" style="height: 680px;">
                        <div class="box-header with-border">
                            <h3 class="box-title">Menus</h3>
                        </div>
                        <!-- /.box-header -->
                        <div class="box-body" style="height: 600px; overflow-y: scroll;">
                            {% for category in categories %}
                            <div class="panel panel-primary">
                                <div class="panel-heading">{{category.categoryName}}</div>
                                <div class="panel-body">
                                    {% for menu in menus %}
                                        {% if menu.menuCategory == category.categoryName %}
                                        <div class="col-sm-3 margin-bottom">
                                            <!-- <a href="#modal-maindish" class="main btn btn-primary btn-block btn-lg" data-toggle="modal" data-id="{{ menu.FoodMenu }}"><b>{{ menu.foodMenu }}</b></a> -->
                                            <form class="site-form" action="{% url 'orderstations:addordertakeout' %}" method="post">
                                                {% csrf_token %}
                                                <input type="hidden" name="waiterCode" value="{{waiters.waiterCode}}">
                                                <input type="hidden" name="waiterName" value="{{waiters.waiterName}}">
                                                <input type="hidden" name="orderNo" value="{{totalOrderSummaries}}">
                                                <input type="hidden" name="transID" value="{{ getSalesTransactionSummary }}">
                                                <input type="hidden" name="prodCode" value="{{ menu.foodCode }}">
                                                <input type="hidden" name="foodDesc" value="{{ menu.foodMenu }}">
                                                <input type="hidden" name="foodSellPrice" value="{{ menu.price }}">
                                                <button type="submit" class="btn btn-app bg-green btn-block btn-lg btn-block text-center text-bold">{{ menu.foodMenu }}</button>
                                            </form>
                                        </div>
                                        {% endif %}
                                    {% endfor %}
                                </div>
                            </div>
                            {% endfor %}
                        </div>
                    </div>
                </div>
            </div>
        </section>
    </div>
</div>
{% endblock %}